summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/httparty/Manifest1
-rw-r--r--dev-ruby/httparty/httparty-0.20.0.ebuild61
-rw-r--r--dev-ruby/locale/locale-2.1.3.ebuild2
-rw-r--r--dev-ruby/text/text-1.3.1-r1.ebuild18
4 files changed, 81 insertions, 1 deletions
diff --git a/dev-ruby/httparty/Manifest b/dev-ruby/httparty/Manifest
index b57bd12401f8..178a5d0ea0fb 100644
--- a/dev-ruby/httparty/Manifest
+++ b/dev-ruby/httparty/Manifest
@@ -1,2 +1,3 @@
DIST httparty-0.18.1.tar.gz 97813 BLAKE2B 3192ad5f1e8c292456710529f4e1595ea5b70ae4ad61695d6d0b036872d40b2afbc0c958ffb25b0c1222ba8004593d20c4d3954c530d6c836e915b87150d954a SHA512 fca9de534199fbf6a058c39c3ebe28587c34df2bffee313a0e05204258fb6b6b6643bd0a28deca9d0b42de21c90c54dab058124349e4774489578fb23e8bacf5
DIST httparty-0.19.0.tar.gz 101070 BLAKE2B 921858ad7d2daf080f041b08b28b69c29b01bdbf4b399616d46fdd43570a1ec4799c61a9edbd04bcc6c6d60e59fd2a3d6a25a40808f7f294f316d644fb3c4998 SHA512 dcdb66b1940e709c58cd1dbc925a3be44db2d01e0a30992b924aa90554405f1608c3c32e8658b2754e20c822a465202e4ee382e37078e871acbbc37465971011
+DIST httparty-0.20.0.tar.gz 101975 BLAKE2B f15eb837a4bbc98de501e6dcca5a17bb0906e8ea6671c55a85d665659ab60bcee5e84d9dafad6b2450e22cedfaf5a86e10e077e52b1120ff9ae2613a1176a651 SHA512 f5770d5a64be2e80aa70334dad899fb723b08088a673a788ca1402285b77ae6b3cef21e3ed263d9618a32879711c9183f2dc82ff7b50bcf6439a8e6bb7a2eb4e
diff --git a/dev-ruby/httparty/httparty-0.20.0.ebuild b/dev-ruby/httparty/httparty-0.20.0.ebuild
new file mode 100644
index 000000000000..6db437819a69
--- /dev/null
+++ b/dev-ruby/httparty/httparty-0.20.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="httparty.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Makes http fun! Also, makes consuming restful web services dead easy"
+HOMEPAGE="https://jnunemaker.github.com/httparty"
+SRC_URI="https://github.com/jnunemaker/httparty/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_rdepend 'dev-ruby/mime-types:3 >=dev-ruby/multi_xml-0.5.2'
+
+ruby_add_bdepend 'test? ( dev-ruby/webmock )'
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files \?-\?-\?/find/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Remove bundler
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/ s:^:#:' Rakefile || die
+
+ # Avoid test dependency on cucumber. We can't run the features since
+ # they depend on mongrel which is no longer packaged.
+ sed -i -e '/cucumber/I s:^:#:' Rakefile || die
+
+ # Avoid test dependency on simplecov
+ sed -i -e '/simplecov/I s:^:#:' \
+ -e '/pry/ s:^:#:' \
+ -e '1i require "cgi"; require "delegate"' spec/spec_helper.rb || die
+
+ # Avoid test that works standalone but fails in the suite
+ #sed -i -e '/calls block given to perform with each redirect/,/^ end/ s:^:#:' spec/httparty/request_spec.rb
+
+ # Avoid test that is not fully compatible with newer multi_xml
+ sed -i -e '/should be able parse response type xml automatically/askip "multi_xml"' spec/httparty_spec.rb || die
+
+ # Avoid test that fails due to unicode normalization differences
+ sed -i -e '/handles international domains/askip "unicode differences"' spec/httparty_spec.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc examples/*
+}
diff --git a/dev-ruby/locale/locale-2.1.3.ebuild b/dev-ruby/locale/locale-2.1.3.ebuild
index ac76ddca104b..20f9c0d6d299 100644
--- a/dev-ruby/locale/locale-2.1.3.ebuild
+++ b/dev-ruby/locale/locale-2.1.3.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_DOCDIR="doc/reference"
diff --git a/dev-ruby/text/text-1.3.1-r1.ebuild b/dev-ruby/text/text-1.3.1-r1.ebuild
new file mode 100644
index 000000000000..bdb24da28420
--- /dev/null
+++ b/dev-ruby/text/text-1.3.1-r1.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A collection of text algorithms"
+HOMEPAGE="https://github.com/threedaymonk/text"
+
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""